const commPrefix = '/api/admin'

const apis = {
  system: {
    signin: {
      url: `${commPrefix}/signin`,
      method: 'post',
    },
    signoff: {
      url: `${commPrefix}/signoff`,
      method: 'post',
    },
    currentUser: {
      url: `${commPrefix}/user/current`,
      method: 'get',
    },
  },
  consultant: {
    list: {
      url: `${commPrefix}/consultant`,
      method: 'get',
    },
    detail: {
      url: `${commPrefix}/consultant/:id`,
      method: 'get',
    },
    add: {
      url: `${commPrefix}/consultant`,
      method: 'post',
    },
    edit: {
      url: `${commPrefix}/consultant/:id`,
      method: 'put',
    },
  },
  building: {
    list: {
      method: 'get',
      url: `${commPrefix}/buildinglist`
    },
    add: {
      method: 'post',
      url: `${commPrefix}/building/add`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/building/update`
    },
    updateStatus: {
      method: 'put',
      url: `${commPrefix}/building/update/status`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/buildingSelectId/:id`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/building/delete/:id`
    },
    getCityName: {
      method: 'get',
      url: `${commPrefix}/tdCity?leveltype=2`
    },

  },
  dynamic: {
    list: {
      method: 'get',
      url: `${commPrefix}/iBuildingDynamicList`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/iBuildingDynamicSelectId/:id`
    },
    add: {
      method: 'post',
      url: `${commPrefix}/buildingDynamic/add`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/buildingDynamic/update`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/buildingDynamic/delete`
    },
    public: {
      method: 'put',
      url: `${commPrefix}/buildingDynamic/send/:id`
    },
    cancel: {
      method: 'put',
      url: `${commPrefix}/buildingDynamic/cancel/:id`
    },
  },
  file: {
    upload: {
      method: 'post',
      url: `${commPrefix}/image`
    },
  },
  apartment: {
    list: {
      method: 'get',
      url: `${commPrefix}/buildingApartment/buildingId/:buildingId`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/buildingApartment/:id`
    },
    add: {
      method: 'post',
      url: `${commPrefix}/buildingApartment/add`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/buildingApartment/update`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/apartment/deleted/:id`
    }
  },
  customer:{
    list:{
      method:'get',
      url: `${commPrefix}/customer`
    },
    add: {
      method: 'post',
      url: `${commPrefix}/customer/add`
    }
  },
  activity:{
    list:{
      method:'get',
      url: `${commPrefix}/iBuildingDynamicList`
    },
    buildingAll:{
      method:'get',
      url: `${commPrefix}/buildingAll`
    },
    activityAdd:{
      method:'post',
      url: `${commPrefix}/buildingDynamic/add`
    },
    activityDetails:{
      method:'get',
      url: `${commPrefix}/buildingDynamic/Details`
    },
    updateActivity:{
      method:'PUT',
      url: `${commPrefix}/buildingDynamic/update`
    },
    getSignList:{
      method:'get',
      url: `${commPrefix}/SignList`
    },
    finishActivity:{
      method:'put',
      url: `${commPrefix}/buildingDynamic/finish`
    },
    setWeight: {
      method:'put',
      url: `${commPrefix}/buildingDynamic/weight`
    },
  },
  recommendCustomer:{
    list:{
      method:'get',
      url: `${commPrefix}/customer/recommend`
    },
    getById: {
      method:'get',
      url: `${commPrefix}/customer/recommend/getById/:id`
    },
    update: {
      method:'put',
      url: `${commPrefix}/customer/recommend/edit/:id`
    },
    recommendCustomerList: {
      method:'get',
      url: `${commPrefix}/customer/recommend/:id`
    },
    getCustomerDetail: {
      method: `get`,
      url: `${commPrefix}/customer/recommend/get/:id`
    },
    taPointsRecords: { // 积分列表
      method: `get`,
      url: `${commPrefix}/taPointsRecords/:id`
    },
    drift: { // 游客列表
      method: `get`,
      url: `${commPrefix}//customer/recommend/drift`
    }
  },
  goods:{
    list:{
      method:'get',
      url: `${commPrefix}/taGoods`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/taGoods/:id`
    },
    add: {
      method: 'post',
      url: `${commPrefix}/taGoods/add`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/taGoods`
    },
    change: {
      method: 'put',
      url: `${commPrefix}/taGoods/change`
    }
  },
  newsType: {
    list: {
      method: 'get',
      url: `${commPrefix}/taNewsType`
    },
    add: {
      method: 'post',
      url: `${commPrefix}/taNewsType`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/taNewsType/:id`
    },
    update: {
      method: 'put',
      url: `${commPrefix}/taNewsType/:id`
    },
    getById: {
      method: 'get',
      url: `${commPrefix}/taNewsType/:id`
    }
  },
  points:{
    list:{
      method:'get',
      url: `${commPrefix}/tdPointsRules`
    },
    detail: {
      method: 'get',
      url: `${commPrefix}/tdPointsRules/:id`
    },
    add: {
      method: 'post',
      url: `${commPrefix}/taGoods/add`
    },
    edit: {
      method: 'put',
      url: `${commPrefix}/tdPointsRules`
    },
    change: {
      method: 'put',
      url: `${commPrefix}/tdPointsRules/change`
    }
  },
  news: {
    list: {
      method: 'get',
      url: `${commPrefix}/taNews`
    },
    add: {
      method: 'post',
      url: `${commPrefix}/taNews`
    },
    delete: {
      method: 'delete',
      url: `${commPrefix}/taNews/:id`
    },
    update: {
      method: 'put',
      url: `${commPrefix}/taNews/:id`
    },
    getById: {
      method: 'get',
      url: `${commPrefix}/taNews/:id`
    }
  },
  exchange:{
    list:{
      method:'get',
      url: `${commPrefix}/taPointsExchange`
    },
    change: {
      method: 'put',
      url: `${commPrefix}/taPointsExchange/change`
    },
    update: {
      method: 'put',
      url: `${commPrefix}/taPointsExchange/:id`
    }
  },
  carouselFigure:{ // 轮播图列表查询
    list:{
      method:'get',
      url: `${commPrefix}/extendContent`
    },
    handle:{
      method:'get',
      url: `${commPrefix}/extendContent/:id`
    },
    update: {
      method:'put',
      url: `${commPrefix}/extendContent/:id`
    },
    getById: {
      method:'get',
      url: `${commPrefix}/extendContent/:id`
    },
    add: {
      method:'post',
      url: `${commPrefix}/extendContent`
    }
  },
  message:{
    list:{
      method:'get',
      url: `${commPrefix}/taCustomerMessage`
    }
  },
    report:{
        list:{
            method:'get',
            url: `${commPrefix}/tdReports`
        },
        checkedlist:{
            method:'get',
            url: `${commPrefix}/taBuildingReports`
        },
        add:{
            method:'post',
            url: `${commPrefix}/taBuildingReport/add`
        },
    },
  indexEcharts:{
    list:{
      method:'get',
      url: `${commPrefix}/indexStatistical`
    },
    userResource: {
        method:'get',
        url: `${commPrefix}/selectUserResource`
    },
    userConversion: {
      method:'get',
      url: `${commPrefix}/selectConversion`
    },
    userActive: {
      method:'get',
      url: `${commPrefix}/selectActiveUserCount`
    },
    newUser: {
      method:'get',
      url: `${commPrefix}/selectNewsUserCount`
    },
    userBehavior: {
      summary: {
        method:'get',
        url: `${commPrefix}/selectUserBehavior`
      },
      profile: {
        method:'get',
        url: `${commPrefix}/selectEventAll`
      },
    },
    intentionUsers: {
      method:'get',
      url: `${commPrefix}/selectIntentionUser`
    },
    userSex: {
      method:'get',
      url: `${commPrefix}/selectSexUser`
    },
    userCity: {
      method:'get',
      url: `${commPrefix}/selectCityUser`
    },
  },
  bizEvent: {
    dict: {
      method:'get',
      url: `${commPrefix}/tdBizEventType`
    },
    list: {
      method:'get',
      url: `${commPrefix}/tdBizEvent`
    },
    properties: {
      method:'get',
      url: `${commPrefix}/taEventProperties`
    },
  }
}
export default apis
